Ad

Installation Pandas Failed Due To A Deprecated API

- 1 answer

I wanted to trythe famous python's library pandas so I tried to install it with the command bellow:

sudo pip install pandas

But that lead to a failure which said that my Python.h file was missing then I did:

 sudo apt-get  update
 sudo apt-get install  python-dev -y

I used pip install once again but I got another error (I add a screenshot) and I can't find out how to fix it. Do you know what is this error and how to fix it?enter image description here

Ad

Answer

The error given gcc

x86_64-linux-gnu-gcc: error trying to exec 'cc1plus': execvp: No such file or directory

indicated that C++ compiler package was not installed. In case of debian and ubuntu, this can be done by

apt-get install g++
Ad
source: stackoverflow.com
Ad